\chapter*{Acknowledgments}
\addcontentsline{toc}{chapter}{Acknowledgments}
I would like to thank Igor Kulev and Boi Faltings for their assistance.
Igor always provided helpful advice and I really enjoyed working on this project.
